<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__l2cap__fixed__chnl__reg__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_l2cap_fixed_chnl_reg_t</compoundname>
    <includes local="no">wiced_bt_l2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__l2cap__fixed__chnl__reg__t_1a7869b865e083528a9bb76f9ec4393cdf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_fixed_chnl_reg_t::channel_id</definition>
        <argsstring />
        <name>channel_id</name>
        <briefdescription>
<para>Fixed channel ID. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="462" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="462" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fixed__chnl__reg__t_1a2c99ae62a90bdcae806e62af640bf553" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_fixed_chnl_reg_t::in_use</definition>
        <argsstring />
        <name>in_use</name>
        <briefdescription>
<para>TRUE if channel is in use. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="463" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="463" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fixed__chnl__reg__t_1a52b805007d9b827a848aa711308b1e1d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1gac22d67eed3442a90a411e8a8fecbe736">wiced_bt_l2cap_fixed_chnl_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_fixed_chnl_cback_t* wiced_bt_l2cap_fixed_chnl_reg_t::fixed_conn_cback</definition>
        <argsstring />
        <name>fixed_conn_cback</name>
        <briefdescription>
<para>Connected callback. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="464" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="464" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fixed__chnl__reg__t_1aa8e1572e7a8103d7df41daa1e7f11a04" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1gae164afd58df70e53ff78489e7b7718e7">wiced_bt_l2cap_fixed_data_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_fixed_data_cback_t* wiced_bt_l2cap_fixed_chnl_reg_t::fixed_data_cback</definition>
        <argsstring />
        <name>fixed_data_cback</name>
        <briefdescription>
<para>Data received callback. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="465" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="465" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fixed__chnl__reg__t_1ad05e7fe3f98693f1ff4b4601fab804fe" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_fixed_chnl_reg_t::default_idle_timeout</definition>
        <argsstring />
        <name>default_idle_timeout</name>
        <briefdescription>
<para>default idle timeout </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="467" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="467" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fixed__chnl__reg__t_1a30bcfc2d596276f4cbc67317a6c574b5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga202240560832cdbfbf208871afd29153">wiced_bt_l2cap_tx_complete_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_tx_complete_cback_t* wiced_bt_l2cap_fixed_chnl_reg_t::fixed_tx_complete_cback</definition>
        <argsstring />
        <name>fixed_tx_complete_cback</name>
        <briefdescription>
<para>TX complete callback. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="468" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="468" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fixed__chnl__reg__t_1a61787d1e3ac2ba6bd08a30c3995fab2e" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* wiced_bt_l2cap_fixed_chnl_reg_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
<para>Upper layer context. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="469" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="469" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Fixed channel registration info (the callback addresses and channel config) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="470" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="460" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="461" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__l2cap__fixed__chnl__reg__t_1a7869b865e083528a9bb76f9ec4393cdf" virt="non-virtual"><scope>wiced_bt_l2cap_fixed_chnl_reg_t</scope><name>channel_id</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fixed__chnl__reg__t_1a61787d1e3ac2ba6bd08a30c3995fab2e" virt="non-virtual"><scope>wiced_bt_l2cap_fixed_chnl_reg_t</scope><name>context</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fixed__chnl__reg__t_1ad05e7fe3f98693f1ff4b4601fab804fe" virt="non-virtual"><scope>wiced_bt_l2cap_fixed_chnl_reg_t</scope><name>default_idle_timeout</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fixed__chnl__reg__t_1a52b805007d9b827a848aa711308b1e1d" virt="non-virtual"><scope>wiced_bt_l2cap_fixed_chnl_reg_t</scope><name>fixed_conn_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fixed__chnl__reg__t_1aa8e1572e7a8103d7df41daa1e7f11a04" virt="non-virtual"><scope>wiced_bt_l2cap_fixed_chnl_reg_t</scope><name>fixed_data_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fixed__chnl__reg__t_1a30bcfc2d596276f4cbc67317a6c574b5" virt="non-virtual"><scope>wiced_bt_l2cap_fixed_chnl_reg_t</scope><name>fixed_tx_complete_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fixed__chnl__reg__t_1a2c99ae62a90bdcae806e62af640bf553" virt="non-virtual"><scope>wiced_bt_l2cap_fixed_chnl_reg_t</scope><name>in_use</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>